<?php

require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");

if (!comprobar_sesion()) {
    $ar = array();
    $ar['error'] = 'session';
    echo json_encode($ar);
    exit;
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));

$anio = (int) $sesion->get('anio') + 1;

$nroPaso = (int) filter_input(INPUT_POST, 'paso');

$newCnfNotas = filter_input(INPUT_POST, 'newcnfnot');
$newCnfNotas = empty($newCnfNotas) ? "N" : $newCnfNotas;

$fini = filter_input(INPUT_POST, 'fini');
$ffin = filter_input(INPUT_POST, 'ffni');



$bdOrigen = AC_CONN_DB . $sesion->get('anio');
$bdDestino = AC_CONN_DB . $anio;
$cnd = "";
$responce['error'] = 0;
$nroPasoVa = (int) $sesion->getVar('configuracion.paso_migracion');

switch ($nroPaso) {
    case 1 && $nroPasoVa < 1:
        $sql = "CALL SP_COPIA_TABLAS('$nroPaso','$bdOrigen' ,'$bdDestino','$cnd','$fini', '$ffin','$newCnfNotas')";
        break;
    case 2 && ($nroPasoVa >= 1 && $nroPasoVa < 2) :
        $sql = "CALL SP_COPIA_TABLAS('$nroPaso','$bdOrigen' ,'$bdDestino','$cnd','$fini', '$ffin','$newCnfNotas')";
        break;
    case 3 && ($nroPasoVa >= 2 && $nroPasoVa < 3):
        $sql = "CALL SP_COPIA_TABLAS('$nroPaso','$bdOrigen' ,'$bdDestino','$cnd','$fini', '$ffin','$newCnfNotas')";
        break;
    case 4 && ($nroPasoVa >= 3 && $nroPasoVa < 4):
        $sql = "CALL SP_COPIA_TABLAS('$nroPaso','$bdOrigen' ,'$bdDestino','$cnd','$fini', '$ffin','$newCnfNotas')";
        $sql2 = "CALL SP_MIGRA_ASIGNATURASXGRUPOS()";
        break;
    default:
        $sql = "";
        $responce['error'] = 'sys001';
        $responce['msg'] = 'El paso no existe o ya se realizó';
        break;
}
//$cons="ALTER TRIGGER TG_Aca_EstudGrupo_AF_INSERT DISABLE;
//ALTER TRIGGER TG_Aca_EstudGrupo_AF_UPDATE DISABLE;
//ALTER TRIGGER TG_Aca_Grupos_AF_UPDATE DISABLE;";
//
//$academia->instruccion($cons);

$academia->instruccion($sql);
$error_sql = $academia->extraer_error();

if ($error_sql > 0) {
    $responce['error'] = $academia->extraer_error();
    $responce['msg'] = $academia->extraer_error_msg();
} else {
    $academia->cerrar();
    if ($newCnfNotas === 'S') {
        $anio2x=(int)$sesion->get('anio') + 1;
        $academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $anio2x);
        if (!empty($sql2)) {
            $academia->instruccion($sql2);
        }
        $academia->cerrar();    
    }
    
    $sesion->setVar('configuracion.paso_migracion', $nroPaso);
}




//$cons="ALTER TRIGGER TG_Aca_EstudGrupo_AF_INSERT ENABLE;
//ALTER TRIGGER TG_Aca_EstudGrupo_AF_UPDATE ENABLE;
//ALTER TRIGGER TG_Aca_Grupos_AF_UPDATE ENABLE;";
//$academia->instruccion($cons); 

if ($sesion->get('ac_usuario') == 'prointel') {
    $responce['sql'] = $sql;
}



echo json_encode($responce);
